import { css, LitElement, html } from 'lit';

class UUIKeyboardShortcutElement extends LitElement {
  render() {
    return html`<slot></slot>`;
  }
}
UUIKeyboardShortcutElement.styles = [
  css`
      :host {
        display: inline-block;
        font-family: inherit;
        font-size: var(--uui-size-small,12px);
      }

      ::slotted(*:first-child)uui-key {
        margin-left: 0px;
      }

      ::slotted(*:last-child)uui-key {
        margin-right: 0px;
      }
    `
];

export { UUIKeyboardShortcutElement };
